# Uses of Interface
java.lang.classfile.attribute.SourceIDAttribute

Packages that use SourceIDAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of SourceIDAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type SourceIDAttribute
Modifier and Type
Method
Description
`static AttributeMapper<SourceIDAttribute>`
Attributes.`sourceId()`
Returns the mapper for the `SourceID` attribute.

## Uses of SourceIDAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type SourceIDAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`SourceIDAttribute`
Models the `SourceID` attribute, which records the last modified time of the source file from which this `class` file was compiled.
Methods in java.lang.classfile.attribute that return SourceIDAttribute
Modifier and Type
Method
Description
`static SourceIDAttribute`
SourceIDAttribute.`of(Utf8Entry sourceId)`
Returns a `SourceID` attribute.
`static SourceIDAttribute`
SourceIDAttribute.`of(String sourceId)`
Returns a `SourceID` attribute.